Patch: relative oldids (prev, next, cur) for raw pages
Closed, ResolvedPublic

Description

Author: lupin.wp

Description:
This patch adds a new parameter to action=raw, direction, which can be prev,
next or cur.

I'm implementing previews of diffs using client-side javascript diffing, and
this will be most useful.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4838.
bzimport created this task.Via LegacyFeb 2 2006, 2:34 PM
bzimport added a comment.Via ConduitFeb 2 2006, 2:35 PM

lupin.wp wrote:

proposed patch

Attached: diff

brion added a comment.Via ConduitFeb 2 2006, 5:40 PM

Wouldn't recommend inventing yet another parameter for this.
If it's truly necessary, better to remain consistent with existing parameters.

bzimport added a comment.Via ConduitFeb 2 2006, 6:01 PM

lupin.wp wrote:

Ah, ok. Which existing parameters would you recommend I follow?

bzimport added a comment.Via ConduitFeb 2 2006, 6:17 PM

lupin.wp wrote:

changed direction to diff

Since this is intended to grab revisions referred to with the diff= parameter
in existing links, I've renamed the direction parameter to diff.

This seems a little illogical to me, but it's an existing parameter.

attachment dd ignored as obsolete

bzimport added a comment.Via ConduitFeb 4 2006, 4:59 PM

lupin.wp wrote:

Wait, isn't direction already used for this purpose? For example,

http://en.wikipedia.org/w/index.php?title=Wikipedia:Wikipedians&direction=next&oldid=1

I think my original patch makes more sense in view of this.

bzimport added a comment.Via ConduitFeb 26 2006, 4:11 PM

robchur wrote:

Committed to HEAD more or less intact. :)

brion added a comment.Via ConduitFeb 28 2006, 8:29 AM

Marking as FIXED since there is no explanation for the reopening.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.